Jump to content

  • Log In with Google      Sign In   
  • Create Account

#Actualretsgorf297

Posted 31 October 2013 - 07:50 PM

I have just started reading NeHe's tutorial (OpenGL 1.x) and have now been told that it is old and that I should learn a newer version.  I am ok with it being harder. What version should I learn?  I am guessing it would be the newest (4.4 - I think).  My computer does support OpenGL 4 (OS: OS X 10.9 Mavericks).  Even though I am programming using Objective-C with the Cocoa API, I know C++ and WinAPI, so I can easily translated it.  Next, What is a good tutorial for the version of OpenGL that you said for the first question?.

 

Thank you very much,

retsgorf


#4retsgorf297

Posted 31 October 2013 - 10:47 AM

I have just started reading NeHe's tutorial (OpenGL 1.x) and have now been told that it is old and that I should learn a newer version.  I am ok with it being harder. What version should I learn?  I am guessing it would be the newest (4.4 - I think).  My computer does support OpenGL 4 (OS: OS X 10.9 Mavericks).  Even though I am programming using Objective-C with the Cocoa API, I know C++ and WinAPI, so I can easily translated it.  Next, What is a good tutorial for the version of OpenGL that you said for the first question?.

 

Thank you very much,

retsgorf


#3retsgorf297

Posted 31 October 2013 - 10:42 AM

I have just started reading NeHe's tutorial (OpenGL 1.x) and have now been told that it is old and that I should learn a newer version.  I am ok with it being harder. What version should I learn?  I am guessing it would be the newest (4.4 - I think).  My computer does support OpenGL 4 (OS: OS X 10.9 Mavericks).  Even though I am programming using Objective-C with the Cocoa API, I know C++ and WinAPI, so I can easily translated it.  Next, What is a good tutorial for the version of OpenGL that you said for the first question?.

 

Thank you very much,

retsgorf

 

EDIT: That doesn't use GLEW.


#2retsgorf297

Posted 31 October 2013 - 10:33 AM

I have just started reading NeHe's tutorial (OpenGL 1.x) and have now been told that it is old and that I should learn a newer version.  I am ok with it being harder. What version should I learn?  I am guessing it would be the newest (4.4 - I think).  My computer does support OpenGL 4 (OS: OS X 10.9 Mavericks).  Even though I am programming using Objective-C with the Cocoa API, I know C++ and WinAPI, so I can easily translated it.  Next, What is a good tutorial for the version of OpenGL that you said for the first question?.

 

Thank you very much,

retsgorf

 

EDIT: That doesn't use GLEW.


#1retsgorf297

Posted 31 October 2013 - 10:04 AM

I have just started reading NeHe's tutorial (OpenGL 1.x) and have now been told that it is old and that I should learn a newer version.  I am ok with it being harder. What version should I learn?  I am guessing it would be the newest (4.4 - I think).  My computer does support OpenGL 4 (OS: OS X 10.9 Mavericks).  Even though I am programming using Objective-C with the Cocoa API, I know C++ and WinAPI, so I can easily translated it.  Next, What is a good tutorial for the version of OpenGL that you said for the first question?.

 

Thank you very much,

retsgorf


PARTNERS